"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extractCssChunksWebpackPlugin = _interopRequireDefault(require("extract-css-chunks-webpack-plugin"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = function _default() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return {
    webpack: function webpack(config, _ref) {
      var stage = _ref.stage;
      var loaders = [];
      var styleLoader = {
        loader: 'style-loader'
      };
      var cssLoader = {
        loader: 'css-loader',
        options: _objectSpread({
          modules: true,
          importLoaders: 1
        }, options)
      };

      if (stage === 'dev') {
        // Dev
        loaders = [styleLoader, cssLoader];
      } else if (stage === 'node') {
        loaders = [_objectSpread({}, cssLoader, {
          loader: 'css-loader',
          options: _objectSpread({
            exportOnlyLocals: true
          }, options)
        })];
      } else {
        // Prod
        loaders = [_extractCssChunksWebpackPlugin["default"].loader, cssLoader];
      }

      config.module.rules[0].oneOf.unshift({
        test: /\.css$/,
        use: loaders
      });
      return config;
    }
  };
};

exports["default"] = _default;